//
//  Game.cpp
//  papTermOneCourseWork
//
//  Created by Charles Ringer on 10/11/2015.
//
//
#include "Game.hpp"//;

Game::Game(string wallLocations)
{
    std::ifstream wallFile (ofToDataPath(wallLocations).c_str());
    if (wallFile.is_open())
    {
        int wallSX, wallSY, wallEX, wallEY;
        while (wallFile >> wallSX >> wallSY >> wallEX >> wallEY)
        {
            walls.push_back(Wall(wallSX, wallSY, wallEX, wallEY, imgBank));
        }
    }
    end = new Endpoint(walls);
    for (int i = 1; i < 10; i++)
    {
        enemies.push_back(Enemy(walls, imgBank));
    }
    player = new Player(walls, imgBank, enemies);


    bgImage.loadImage("Assets/Background/0.png");
}

void Game::update()
{
    player->move(walls);
    cout << ofDist(player->getCenterX(), player->getCenterY(), end->getCenterX(), end->getCenterY()) << endl;
    for(auto &enemy : enemies)
    {
        enemy.move(walls);
    }
    //state = player->checkGameEnd(enemies, end);
}

int Game::getState()
{
    return player->checkGameEnd(end);
}


void Game::disp()
{
    bgImage.draw(0,0);
    
    for(auto &wall: walls) { wall.disp(); }
    for(auto &enemy : enemies) { enemy.disp(); }
    end->disp();
    vision->disp(player);
    player->disp();

}

void Game::handleKeyPressed(int key)
{
    player->handleKeyOn(key);
}

void Game::handleKeyReleased(int key)
{
  player->handleKeyOff(key);
}

#include "Game.hpp"
