#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    // Smooth edges
    ofEnableSmoothing();
    verdana.load("verdana.ttf", 14);
    game = new Game("levelwalls.txt");
}
//--------------------------------------------------------------
void ofApp::update(){
    if (state == 0)
    {
        game->update();
        state = game->getState();
    }
}

//--------------------------------------------------------------
void ofApp::draw(){
    if (state == -1)
    {
        ofBackgroundGradient(ofColor::gray,ofColor(30,10,30), OF_GRADIENT_CIRCULAR);
        verdana.drawString("Game Over", 200, 200);
    } else if (state == 0 )
    {
        game->disp();
    } else if (state == 1)
    {
        ofBackgroundGradient(ofColor::gray,ofColor(30,10,30), OF_GRADIENT_CIRCULAR);
        verdana.drawString("You Won", 200, 200);
    }

}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){
    game->handleKeyPressed(key);

}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){
    game->handleKeyReleased(key);
}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){
    cout << "Mouse X" << x << "MouseY" << y << endl;
}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseEntered(int x, int y){

}

//--------------------------------------------------------------
void ofApp::mouseExited(int x, int y){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}
